solarOSsolarOS Docs

Cancel a Work Order

Explicitly cancels a project-contained Work Order through app domain services. Requires Idempotency-Key. Side effects include entitlement unlink/sync, Project Item sync, audit, domain event, usage, and action response. Required scope: work_orders:cancel.

POST
/work-orders/{id}/cancel

Explicitly cancels a project-contained Work Order through app domain services. Requires Idempotency-Key. Side effects include entitlement unlink/sync, Project Item sync, audit, domain event, usage, and action response. Required scope: work_orders:cancel.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Work Order identifier returned by the Organization API.

Request Body

application/json

JSON request payload for cancelWorkOrder.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/work-orders/string/cancel" \  -H "Content-Type: application/json" \  -d '{    "reason": "Customer requested reschedule."  }'
{  "data": {    "action": {      "confirmed": true,      "confirmationSignal": "string"    },    "resource": {}  },  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}